<template>
    <div class="grid"> 
        <div v-for="i in max" :key="i" v-on:click="emitClick(i)">
            <b v-if="i == value">[{{i}}]</b>
            <div v-else>
                [{{i}}]
            </div>
        </div>   
    </div> 
</template>
<style scoped>
 .grid {
     display: grid;
     grid-auto-flow: column;
     place-items: center;
     width: 80vw;
     text-align: center;
     top: 0px;
     left: 0px;
     margin: auto;
     margin-top: 10px;
 }
 </style>
<script>

export default {
  name: 'Pagination',
  props: {
    max: Number,
    value: Number,
  },
  methods: {
      //We emit a click event to our parents.
      emitClick(v) {
          this.$emit('click', v)
      }
  }
}
</script>